Subject: Ticket Assigned - request to cancel my order and refund
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 19 Feb 2023 16:29:48 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  request to cancel my order and refund Dear sir/ madam,
I ordered in max online fashion I thought it will be delivered by today but
they delivered late, so I took in max offline only for that I need to
cancel but I could not find the cancel option and I also can't connect with
the customer num 18001231444 please help me out
My order number
1132718859
And my mail is [email-masked]

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5731815